Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 134)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 142)
@@ -3,27 +3,18 @@
 ;------------------------------------------------------------
 ;+
-; NAME:
-;	PLTZ
-;
-; PURPOSE:
-;	trace des graphes verticaux
-;
-; CATEGORY:
-;       Graphics
-;
-; CALLING SEQUENCE:
-;	pltz, champ [,min[, max]]
-;
-; INPUTS:
-;	champ: le champ dont on veut faire la coupe verticale champ
-;	peut etre de 2 types:
-;         1) un tableau 2d ou 3d. 
-;         Si le champ est 2d undiquer avec le mot cle boxzoom les
-;         delimitations geographiques de la boxzoom. Si le chyamp est
-;         3d, on extrait la section et on moyenne eventuellement avant
-;         de faire le plot
-;         2) une structure repondant aux critaire specifies par
-;         litchamp.pro. cf. IDL> xhelp,'litchamp'. le tableau contenu
-;         ds la structure doit etre 2 ou 3d cf cas 1) si dessus
+;
+; @file_comments 
+; Trace vertical graphs.
+;
+; @categories 
+; Graphics
+;
+; @param TAB 
+; The field whose we want to make a vertical cut can be 2 kind of thing:
+;         1) An 2d or 3d array. 
+;         If the field is 2d, indicate, with the keyword BOXZOOM, geographic delineations of the boxzoom. 
+;         If the field is 3d, we extract the section on we average possibly before to do the plot.
+;         2)  a structure respecting all criterions specified by litchamp.pro. 
+;          See IDL> xhelp,'litchamp'. The array contin in the structure must be 2 or 3d (See case 1)
 ;
 ; ces arguments ne sont pas obligatoires:
@@ -35,219 +26,139 @@
 ; des contours. Par defaut on prend le min de tab1 (sur les pts mer)
 ;
-; KEYWORD PARAMETERS:
-;
-;	BOXZOOM:vecteur indiquant la zone geographique sur laquelle doit etre
-; faite la coupe. Si BOXZOOM a :
-; 1 element : l''extraction est faite sur [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
-; 2 elements: l''extraction est faite sur [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
-; 4 elements: l''extraction est faite sur [Boxzoom, 0, 200]
-; 5 elements: l''extraction est faite sur [Boxzoom[0:3], 0, Boxzoom[4]]
-; 6 elements: l''extraction est faite sur Boxzoom
-;
-; Ou lon1, lon2,lat1,lat2 sont les variables globales
-; definies lors du dernier domdef!
-;
-;      CB_TITLE: le titre de la colorbar
-;
-;      CB_SUBTITLE: le soustitre de la colorbar
-;
-;      CB_CHARSIZE: The character size of the color bar annotations
-;
-;	CONTINTERVALLE: lorsque CONTOUR est active, valeur d'un
-; intervalle entre deux isolignes traces par un trait. Il peut ainsi
-; etre different de celui specifie par INTERVALLE 
-; qui, cas ce cas, ne controle que les isolignes coloriees en
-; couleurs. Si aucun min n''est specifie, on choisit un contour min qui va
-; bien avec l''intervalle specifie!. Si ce mot cle n''est pas
-; specifie, on trace 20 isolignes du min au max. 
-;
-;	CONTLABEL: un entier n. lorsque CONTOUR est active, si n
-; different de 0, choisit le type de label correspondant aux cas n
-; pour les isolignes tracees par un trait. Pour specifier le type de
-; label du contour en couleur, utiliser LABEL
-;
-;	CONTMAX: lorsque CONTOUR est active, valeur maximum que l''on
-; veut prendre en compte dans le trace des isolignes traces par un
-; trait. Par defaut on prend le max (sur les pts mer)
-; du tableau passe ds le mot cle CONTOUR. 
-;
-;        COAST_COLOR: the color of the coastline.
-;                     defaut value is 0 => black
-;
-;        COAST_THICK: the thickness of the coastline.
-;                     defaut value is 1
-;
-;        /CONT_NOFILL: activer pour ne pas remplir les points masques
-;        pour les laisser en transparent! 
-;        Rq: on trace qd meme le contour du mask
-;
-;        CONT_COLOR: the color of the continent. defaut value is
-;        (!d.n_colors - 1) < 255 => white
-;
-;	CONTMIN: lorsque CONTOUR est active, valeur minimum que l''on
-; veut prendre en compte dans le trace des isolignes traces par un
-; trait. Par defaut on prend le max (sur les pts mer)
-; du tableau passe ds le mot cle CONTOUR. 
-;
-;	CONTNLEVEL: lorsque CONTOUR est active, nombre de contours
-; trace par un trait a dessiner (actif si
-; CONTLABEL=0) par defaut =20.
-;
-;	CONTOUR: si on veut tracer les contours d'un champ different que celui
-; que l''on dessin en couleur (par ex E-P en couleur et QSR en
-; contours). Doit etre un champ reponadnt aux meme caracteristiques
-; que l''argument numero 1 de pltz
-;
-;       ENDPOINTS: mot clef specifiant que l'on veut faire une coupe
-;       verticale en diagonale. les coordonnees des extremites de
-;       celle-ci sont alors definies les 4 elements du vecteur
-;       ENDPOINTS: [x1,y1,x2,y2] qui sont les coordonnees 
-;
-;	INTERVALLE: valeur d''un intervalle entre deux isolignes. Si
-; aucun min n''est specifie, on choisit un contour min qui va bien
-; avec l'intervalle specifie!. Si ce mot cle n''est pas specifie, on
-; trace 20 isolignes du min au max. Rq: Qd CONTOUR est active
-; INTERVALLE ne specifie que intervalle entre 2 isolignes coloriees en
-; couleur. Pour specifier l''intervalle entre 2 isolignes traces par un trait
-; utiliser CONTINTERVALLE.
-;
-;	/INV: inverse le vecteur couleur utilisee pour colorier le graphe
-;             (sans toucher au noir, au blanc et a la palette utilisee)
-;
-;	ZRATIO: lorsque le dessin presente une partie zoomee, rapport de
-; taille entre la partie zommee, hz (hauteur zoom), et le dessin entier, ht
-; (hauteur total). Par defaut =2./3
-;
-;	LABEL: un entier n. si n different de 0, choisit le type de
-; label correspondant aux cas n. cf label.pro
-; Rq: Qd CONTOUR est active, ne specifie le type de label que pour les
-; isolignes coloriees en couleur. Pour celles tracees par un trait
-; utiliser CONTLABEL. 
-;
-;	/LANDSCAPE: oblige la feuille ou la fenetre a etre en position
-;	"allongee"
-;
-;       LCT: entier designant le numero de la palette de couleur que
-;       l''on veut utiliser pour le plot. 
-;	
-;       MAXIN: permet de specifier la valeur maximum que l''on veut
-;       prendre en compte dans le trace des contours a l''aide d''un
-;       mot cle plutot que par l''argument max. Si l''argument et le
-;       mot cle sont specifies en meme temps, c''est la valeur
-;       specifiee par le mot cle qui est retenue.
-;
-;       MININ: permet de specifier la valeur minimum que l''on veut
-;       prendre en compte dans le trace des contours a l''aide d''un
-;       mot cle plutot que par l''argument min. Si l''argument et le
-;       mot cle sont specifies en meme temps, c''est la valeur
-;       specifiee par le mot cle qui est retenue.
-;	
-;	NLEVEL: nombre de contours a dessiner. par defaut =20. actif si
-; LABEL=0 ou n'est pas specifie.
-;
-;	/NOCOLORBAR: activer si on ne veut pas de colorbar
-;
-;	/NOCONTOUR: activer si on ne veut pas de contour mais juste
-;	les couleurs
-;
-;	/NOFILL: activer si on veut juste les contours en noir et
-;	blanc sur fond blanc
-;
-;       /NOERASE: activer pour faire un dessin a l''ecran sans creer
-;       une nouvelle fenetre
-;
-;       /NOTRI: pour forcer a ne pas utiliser de triangulation.
-;
-;       OVERPLOT: pour faire un plt par dessus un autre. Rq:
-;       contrairemnet a l''utilisation de CONTOUR,
-;       l''utilisation de ce mot clef ne modifie pas la legende ou/et
-;       la barre de couleur.
-;
-;	PETITDESSIN: vecteur de 3 ou 4 elements, applique pour faire un
-; dessin sur une petite portion de feuille ou d''ecran. il delimite
-; la zone ds laquelle va etre fait le dessin
-; si il a 4 elements:
-;       il est alors constitute des coordonnees -exprime en cm reperes par
-;       rapport au coin en bas a gauche de la feuille ou de la fenetre
-;       (en portrait comme en landscape)- du coin en bas a
-;       gauche et du coin en haut a droite  de la zone de dessin.
-; si il a 3 elements:
-;       Ds ce cas, on divise la fenetre ou l''ecran en PETITDESSIN[0]
-;       colonnes, en PETITDESSIN[1] lignes le dessin se faisant ds la
-;       case numero PETITDESSIN[2].La numerotation commencant en haut
-;       a gauche par le numero 1 et suivant apres dans le sens de
-;       l''ecriture.
-; Par defaut on fait un dessin occupant la plus grande place possible
-; tout en concervant le rapport d''aspect (sauf qd REMPLI est active)
-;
-;	/PORTRAIT: oblige la feuille ou la fenetre a etre en position
-;	"debout"
-;
-;	/POST: faire une sortie postscript. Ne marche que si on fait
-;	un seul dessin sur la feuille. Si on fait plusieurs dessins,
-;	utiliser @ps ou plein2dessins
-;
-;	/REMPLI:oblige le dessin a occuper l'espace maximum definit
-;	par petitdessin
-;
-;       /SIN: activer ce mot cle si l''on veut que l'' axe des x soit
-;       trace en sinus de la latitude qd on fait une coupe 'yz'
-;
-;       /STRICTFILL: activer ce mot clef pour que le remplissage des
-;       contours ce fasse precisement entre le min et le max specifie
-;       en laissant en banc les valeurs inferieurs au min specifie et
-;       superieurs au max specifie.
-;
-;	STYLE: style de tracer a adopter pour dessiner les isolignes par
-; defaut style=0. cf style.pro
-;
-;	/TRANS: fait un postscript (active /post automatiquement) et l'imprime
-; -si on le desire- sur un transparant
-;
-;        UNLABSUR: entier n. specifant qu''on ne labelle qu''un
-;        contour sur n. Par defaut unlabsur=2
-;
-;	/UNSUR2: si on veut tracer un countour sur deux. par  defaut trace
-; tous les contours
-;
-;	WINDOW: nimero de la fenetre ou l'on veut faire le graphe (permet
-; d'ouvrir plusieurs fenetres). par defaut on ouvre 'IDL0'
-;
-;       /WDEPTH: to specify that the field is at W depth instad of T 
-;         depth (automatically activated if vargrid eq 'W')
-;
-;       /XZ: force a faire une coupe xz
-;
-;       /YZ: force a faire une coupe yz
-;
-;	YXASPECT: rapport d'echelle entre y et x (par ex: =1 pour un repere
-; presque orthonorme, =2 si l'axe des y est environ deux fois plus dilate
-; que celui des x). Par defaut on adapte pour occupe une grande partie de
-; la feuille en sortie postScript ou pour cree une fenetre pas trop etiree
+; @keyword BOXZOOM 
+; Vector indicating the geographic zone on which we want to cut the map. 
+;  If BOXZOOM has :
+; 1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
+; 2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
+; 4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
+; 5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
+; 6 elements: The extraction is made on Boxzoom
+;
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+;
+; @keyword CONTINTERVALLE 
+; When CONTOUR is activated, it is the value between 2 isolines 
+; traced by a trait. So it can be different from the one specified by INTERVALLE which, 
+; in this case, does not control colored isolines in color anymore. If there is noone 
+; specified min, we choose a contour min which goes well with the specified interval! 
+; If this keyword is not specified, we trace 20 isolines from the min to the max. 
+;
+; @keyword CONTLABEL 
+; It is an integer n. When CONTOUR is actvated, if n
+; is different of 0, choose the label type corresponding to n cases for 
+; the traced by a traitisolines. To specify the type of label of the 
+; colored contour, use LABEL
+;
+; @keyword CONTMAX 
+; When CONTOUR is activated, max value we want to consider in the isoline 
+; traced by a trait's line. By default, we take the max (on ocean points) of the array 
+; passed in the keyword CONTOUR.
+;
+; @keyword CONTMIN 
+; When CONTOUR is activated, min value we want to consider in the isoline 
+; traced by a trait's line. By default, we take the min (on ocean points) of the array 
+; passed in the keyword CONTOUR. 
+;
+; @keyword CONTNLEVEL 
+; When  CONTOUR is activated, it is the numbre of contours
+; traced by a trait for drawing (active if
+; CONTLABEL=0) by default=20.
+;
+; @keyword CONTOUR 
+; If we want to trace contours of a different field than the one 
+; whose we have the colored drawing (by examlpe E-P in color and QSR in contours). 
+; It must be a field respecting same caracteristics than the argument number one of plt.
+;
+; @keyword ENDPOINTS 
+; keyword specifing that we want to make a vertical cut in diagonal. Then coorinated of extremities 
+; of these one are difined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are 
+; coordinates. 
+;
+; @keyword INTERVALLE 
+; Value of an internal between to isoline. If there is none specified min, 
+; we choose a min contour which goes well with the specified interval!. If this keyword is not 
+; specified, we trace 20 isoline from the min to the max. Comment: When CONTOUR is activated, 
+; INTERVALLE only specify the interval between 2 colored isoline. To specify the interval 
+; between 2 isolines traced by a trait, use CONTINTERVALLE.
+;
+; @keyword INV 
+; Invert the color vector used to color the graph 
+;               (without use the black, the white and the used palette)
+;
+; @keyword ZRATIO
+; When the drawing has a zoomed part, it is the size rapport between the zoomed part, 
+; hz (zoom height), and the whole drawing, ht (total height). By default =2./3
+;
+; @keyword LABEL 
+; It is an integer n. If n different of 0, it choose the label's type 
+; corresponding to cases n. cf label.pro
+; Comment: When CONTOUR is activated, it only specify the label's type for colored isolines. 
+; For tese one traced by a trait, use CONTLABEL. 
+;
+; @keyword MAXIN 
+; Allows to specify the max value we want to consider in the drawing of contour 
+; helping by the keyword instead of the argument max. If the argument and the keyword are 
+; specified in the same time, it is the value specified by the keyword which is retained.
+;
+; @keyword MININ 
+; Allows to specify the min value we want to consider in the drawing of contour 
+; helping by the keyword instead of the argument min. If the argument and the keyword are 
+; specified in the same time, it is the value specified by the keyword which is retained.
+;
+; @keyword NLEVEL 
+; Number of contour to draw by default =20. active if
+; LABEL=0 or is not specified.
 ; 
-;         /WDEPTH: to specify that the field is at W depth instad of T 
-;         depth (automatically activated if vargrid eq 'W')
-;
-;	ZOOM: profondeur jusqu'a laquelle on fait un zoom. par defaut 200m ou
-; la profondeur maximale si elle est inf a 200
-;
-;       /ZEROMIDDLE: fo force the middle of the colorbar to be equal
-;       to 0 (force max=max(abs([min,max])) and min=-max)
-;
-; OUTPUTS:
-;
-; COMMON BLOCKS:
-;	common.pro	
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;			7/1999
-;                       Sebastien Masson 08/02/2000 checkfield and
-;                       notri keyword.
+; @keyword NOTRI 
+; To force not to use the triangulation. Beware, in this case, the 
+; drawing only works if the grid is undeformed (It means that each point of a longitude 
+; give one latitude and each point of a latitude give one longitude) exept if we use 
+; the keyword CELL_FILL=2. 
+; Comment: if the field contain points !values.f_nan, then we even do a triangulation.
+;
+; @keyword OVERPLOT 
+; To make a plot over an other one. 
+; Comment: Contrarily to the use of CONTOUR or VECTEUR, the use of this keyword 
+; does not the caption and/or the color bar.
+;
+; @keyword SIN 
+; Activate this keyword if we want the x axis to be traced in sinus of the 
+; latitude when we make a drawing f(y)
+;
+; @keyword STRICTFILL 
+; Activate this keyword to that the filling of contours be 
+; precisely done between the min and the max specified letting values inferior at the 
+; specified min and values superior at the specified max in white.
+;
+; @keyword STYLE 
+; Contour's style to adopt to draw isolines(by default, style=0. see style.pro)
+;
+; @keyword WDEPTH 
+; To specify that the field is at W depth instead of T 
+; depth (automatically activated if vargrid eq 'W')
+;
+; @keyword XZ
+; Force to make a cut following xz
+;
+; @keyword YZ
+; Force to make a cut following yz
+;
+; @keyword ZOOM 
+; Depth where i can make our maximum zoom. By default 200m or max depth if it is inferior at 200m
+;
+; @uses
+; common.pro
+;
+; @history
+;  Sebastien Masson (smasson@lodyc.jussieu.fr)
+; 7/1999
+; Sebastien Masson 08/02/2000 checkfield and
+; notri keyword.
+;
+; @version
+; $Id$
+;
+; @todo seb L.20 à 26, L.215 à 221
+;
 ;-
 ;------------------------------------------------------------
@@ -277,15 +188,15 @@
   ENDIF
 ;--------------------------------------------------------------
-  tempsun = systime(1)          ; pour key_performance
-;------------------------------------------------------------
-;--------------------------------------------------------------
-; 1ere partie: initialisation et petits calculs...
-;--------------------------------------------------------------
-;on ne reinitialise pas qd on rapelle pltz en boucle pour utiliser contour
+  tempsun = systime(1)          ; For key_performance
+;------------------------------------------------------------
+;--------------------------------------------------------------
+; 1st part: initialization small calculations...
+;--------------------------------------------------------------
+; Comment: we do not reinitializate when we call back plt in loop to use contour.
   if n_elements(contour) ne 4 AND NOT keyword_set(overplot) then reinitplt
 ;
   if n_elements(contour) ne 4 THEN saveboxparam, 'boxparam4pltz.dat'
 ;--------------------------------------------------------------
-; lecture du champ
+;  Reading of the field.
 ;--------------------------------------------------------------
   if n_elements(giventype) NE 0 then type = giventype
@@ -352,17 +263,17 @@
   z2d = reverse(z2d, 2)
 ;-----------------------------------------------------------------------------
-;   determination du mi:min et du ma:max de tab1 ainsi que de max: max et
-;   min: min pour le dessin.
+; Determination of the mi:min and of the ma:max of z2d in the same way 
+; as max: max and min: min for the drawing.
 ;-----------------------------------------------------------------------------
   nan = total(finite(z2d, /nan)) < 1
-; faudra-t-il faire un autoscale ???
+; Do we need to do an autoscale ???
   autoscale = testvar(var = min) EQ testvar(var = max) AND NOT keyword_set(intervalle)
   determineminmax, z2d, mask, mi, ma, MININ = min, MAXIN = max, nan = nan, INTERVALLE = intervalle, _extra = ex
   if z2d[0] EQ -1 THEN GOTO, sortie
-; on fait un autoscale si besoin
+; We do an autoscale if needed.
   if autoscale then autoscale, min, max, intervalle
 ;--------------------------------------------------------------
 ;--------------------------------------------------------------
-; 2eme partie: dessin
+; 2nd part: drawing
 ;--------------------------------------------------------------
 ;--------------------------------------------------------------
@@ -372,5 +283,5 @@
 ;------------------------------------------------------------
 ;--------------------------------------------------------------
-; choix des labels
+; choice of labels
 ;-----------------------------------------------------------
   if keyword_set(intervalle) AND NOT keyword_set(label) then label = 1
@@ -379,5 +290,5 @@
          , INTERVALLE = intervalle, strictfill = strictfill
 ;--------------------------------------------------------------
-; choix de style
+; choice of style
 ;-----------------------------------------------------------
   if not keyword_set(style) then style = 0
@@ -385,10 +296,10 @@
   if keyword_set(inv) then colnumb = reverse(colnumb)
 ;-----------------------------------------------------------
-;   definition des axes
+;   definition of axes
 ;----------------------------------------------------------
   if NOT keyword_set(overplot) THEN axe, type, SIN = sin, _EXTRA = ex
   !y.range = [-1, 0]
 ;--------------------------------------------------------------
-; extrapolation des donnees sur les terres et seuillage
+; extrapolation of datas on lands and specifying of the min/max value
 ;--------------------------------------------------------------
 ; define masknan
@@ -403,5 +314,5 @@
                   , mask = mask*masknan, /basique $
                   , /fillxdir, _extra = ex)
-; if some lines contains no data (the bottom line for ex) it must be
+; if some lines contains no field (the bottom line for ex) it must be
 ; also filled with 8 neighbourg method
     IF (where(total(mask*masknan, 1) EQ 0))[0] NE -1 THEN $
@@ -459,8 +370,8 @@
     , REALSECTION = realsection, USETRI = usetri, _extra = ex
 ;------------------------------------------------------------
-; rappelle de pltz en boucle qd contour est active
-;------------------------------------------------------------
-  if n_elements(contour) eq 4 then BEGIN ; c''est la 2eme fois que je passe ds pltt
-    contour = {mietma:[mi, ma], unit:varunit, inter:intervalle} ; je renvoie le min, le max et l''unite
+; recall of pltz in loop when contour is activated
+;------------------------------------------------------------
+  if n_elements(contour) eq 4 then BEGIN ; It is the second time I pass in pltt
+    contour = {mietma:[mi, ma], unit:varunit, inter:intervalle} ; I send back the min, the max and the unity
     return
   endif
@@ -479,32 +390,32 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; 3eme partie: dessin du cadre, legendes, colorbar...
+; 3rd part: drawing of the frame, caption, colorbar...
 ;------------------------------------------------------------
   if keyword_set(overplot) then BEGIN 
-    !y.range =  [zoom, profmin] ; on repasse en coordonees physiques!
+    !y.range =  [zoom, profmin] ; We get back on physic coordinates
     plot, [0], [0], /nodata, /noerase, title = '', subtitle = '', xstyle = 5, ystyle = 5
     GOTO, fini
   endif
 ;------------------------------------------------------------
-; legendes + affichage de celles-ci
+; Caption + dysplay of them
 ;------------------------------------------------------------
   legende, mi, ma, type, CONTOUR = pourlegende, INTERVALLE = intervalle, DIREC = direc, endpoints = endpoints, _EXTRA = ex
   if type eq 'yz' then xaxe = 'lataxe' else xaxe = 'lonaxe'
   if keyword_set(sin) OR NOT key_onearth then xaxe = ''
-; cadre applique par defaut
+; Frame applied by default
   plot, [xxaxis[0], xxaxis[n_elements(xxaxis)-1]], [-zratio, -zratio], /noerase $
     , xstyle = 1+4*(keyword_set(endpoints) AND ((type EQ 'xz' AND lat1 NE lat2) OR (type EQ 'yz' AND lon1 NE lon2))) $
     , xtickformat = xaxe, _extra = ex
-; ajout d'un axe ds le cas ou l'on utilise endpoints
+; Add of an axis in the case of we use endpoints
   if keyword_set(endpoints) then addaxe, endpoints, type, posfenetre, _EXTRA = ex
 ;------------------------------------------------------------
-; axe y en 1 ou 2 parties
+; Y axis in 1 or 2 part
 ;------------------------------------------------------------
   if n_elements(ex) NE 0 then BEGIN 
-; pour ne plus mettre de titre
+; To do not put title anymore
     if (where(tag_names(ex) EQ 'TITLE'))[0] NE -1 then ex.TITLE = ' '
-; pour ne plus mettre de sous titre
+; To do not put subtitle anymore
     if (where(tag_names(ex) EQ 'SUBTITLE'))[0] NE -1 then ex.SUBTITLE = ' '
-; pour n''avoir q''un ytitle
+; To have just one ytitle
     if (where(tag_names(ex) EQ 'YTITLE'))[0] NE -1 then BEGIN 
       ytitle = ex.YTITLE
@@ -518,9 +429,9 @@
     , position = posfenetre+[0, 0, 0, -hzoom], _extra = ex, title = '', subtitle = '', ytitle = ''
 ;
-  !y.range =  [zoom, profmin]   ; on repasse en coordonees physiques!
+  !y.range =  [zoom, profmin]   ; We get back in physic coordinates!
   plot, [0], [0], /nodata, /noerase, ystyle = 1, _extra = ex $
     , title = '', subtitle = '', ytitle = '', position = posfenetre+[0, htotal-hzoom, 0, 0]
 ;------------------------------------------------------------
-; pour ecrire le ytitle...
+; to write the ytitle...
 ;------------------------------------------------------------
   if !d.name EQ 'PS' then $
@@ -539,5 +450,5 @@
 
 ;------------------------------------------------------------
-; barre de couleur
+; colorbar
 ;------------------------------------------------------------
   colnumb = colnumb[0:ncontour-1-keyword_set(strictfill)]
@@ -546,5 +457,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; 4eme partie: impression eventuelle
+; 4th part: possible print
 ;------------------------------------------------------------
 ;------------------------------------------------------------
